public class wood
{
steam st;
public wood()
{st=new steam();}
public double Cp_d(double t)
{ double T=t+273.15;
return 0.1031+0.003867*T;
}

public double Cp(double M,double t)
{ // wet wood M moisture content of wood 0.45 kg moisture/kg dry wood
double T=t+273.15;
double M1=M*100.0;
double A=(-0.06191+2.36e-4*T-1.33e-4*M1)*M;
System.out.println("A="+A);
double Cp1=(Cp_d(t)+M*st.Cp(t,1.01325))/(1+M)+A;
return Cp1;
}


public static void main(String arg[])
{ wood w=new wood();
  System.out.println(w.Cp(0.45,25));
}

}